# FoundationClasses
TKernel
OSD

# OSD_Exception_IN_PAGE_ERROR Class Reference

`#include <OSD_Exception_IN_PAGE_ERROR.hxx>`

Inheritance diagram for OSD_Exception_IN_PAGE_ERROR:

[legend]

## Public Member Functions

Standard_EXPORT | OSD_Exception_IN_PAGE_ERROR ()
Standard_EXPORT | OSD_Exception_IN_PAGE_ERROR (const Standard_CString AString)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT void | Raise (const Standard_CString aMessage="")
| Raises an exception of type "Failure" and associates an error message to it. The message can be printed in an exception handler. .
static Standard_EXPORT void | Raise (Standard_SStream &aReason)
| Raises an exception of type "Failure" and associates an error message to it. The message can be constructed at run-time. .
static Standard_EXPORT | Handle (OSD_Exception_IN_PAGE_ERROR) NewInstance(const Standard_CString aMessage)

## Private Member Functions

virtual Standard_EXPORT void | Throw () const
| Used only if standard C++ exceptions are used. Throws exception of the same type as this by C++ throw, and stores current object as last thrown exception, to be accessible by method Caught() .

## Friends

Standard_EXPORT friend Handle_Standard_Type & | OSD_Exception_IN_PAGE_ERROR_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT OSD_Exception_IN_PAGE_ERROR::OSD_Exception_IN_PAGE_ERROR | ( |  | ) | `[inline]`

Standard_EXPORT OSD_Exception_IN_PAGE_ERROR::OSD_Exception_IN_PAGE_ERROR | ( | const Standard_CString | AString | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT const OSD_Exception_IN_PAGE_ERROR::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from OSD_Exception.

static Standard_EXPORT OSD_Exception_IN_PAGE_ERROR::Handle | ( | OSD_Exception_IN_PAGE_ERROR |  | ) | const`[static]`

| Reimplemented from OSD_Exception.

static Standard_EXPORT void OSD_Exception_IN_PAGE_ERROR::Raise | ( | Standard_SStream & | aReason | ) | `[static]`

| Reimplemented from OSD_Exception.

static Standard_EXPORT void OSD_Exception_IN_PAGE_ERROR::Raise | ( | const Standard_CString | aMessage = `""` | ) | `[static]`

| Reimplemented from OSD_Exception.

virtual Standard_EXPORT void OSD_Exception_IN_PAGE_ERROR::Throw | ( |  | ) | const`[private, virtual]`

| Reimplemented from OSD_Exception.

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& OSD_Exception_IN_PAGE_ERROR_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- OSD_Exception_IN_PAGE_ERROR.hxx